Subject: Re: [PATCH 9/9] trailer: add tests for "git interpret-trailers"

From: Junio C Hamano <[email-masked]>
Date: Mon, 30 Dec 2013 13:05:25 -0800

Josh Triplett <[email-masked]> writes:

>>  - The "everybody will have a single SP at the end" may or may not
>>    last forever;
>
> Trivially fixed if that ever changes, but given the nature of all of
> these, that seems unlikely.

Why?  Because we encourage to write tests that are expected to find
breakages, some of these test vector lines may have to show a broken
line that lacks SP after label + colon.

>>  - With your scheme, if you already had _one_ trailing SPs in the
>>    input, it would be hard to spot in the source;
>
> Git makes them quite difficult to miss. :)

That is irrelevant, isn't it?

This is about protecting the source in the editor, before you run
"git show --whitespace=trailing-space", "git diff --check", etc.